require("coveralls.coveralls")
local output
output = function()
  if os.getenv('LOCAL') then
    Coveralls.service_name = Coveralls.Local
  end
  if os.getenv('COVERALLS_DEBUG') then
    Coveralls.service_name = Coveralls.Debug
  end
  local defout = (assert(require("busted.output.TAP")))()
  local formatted_status = defout.formatted_status
  local header = defout.header
  defout.header = function(desc, test_count)
    Coveralls:start()
    return header(desc, test_count)
  end
  defout.formatted_status = function(statuses, options, ms)
    Coveralls:stop()
    if Coveralls.dirname ~= "" then
      Coveralls:coverDir(Coveralls.dirname, Coveralls.ext)
    end
    local _list_0 = Coveralls.srcs
    for _index_0 = 1, #_list_0 do
      local src = _list_0[_index_0]
      Coveralls:cover(src)
    end
    Coveralls:send()
    if formatted_status then
      return formatted_status(statuses, options, ms)
    end
  end
  return defout
end
return output()
